org.jfree.xml.util

## Class ClassModelTags

- java.lang.Object
- - org.jfree.xml.util.ClassModelTags

    public final class ClassModelTags
    extends java.lang.Object

A collection of tags used in the object model description.

### Field Summary

Fields
`static java.lang.String` `ATTRIBUTE_ATTR` Attribute text.
`static java.lang.String` `ATTRIBUTE_HANDLER_ATTR` Attribute handler text.
`static java.lang.String` `ATTRIBUTE_PROPERTY_TAG` Attribute property tag text.
`static java.lang.String` `BASE_CLASS_ATTR` Base class attribute text.
`static java.lang.String` `CLASS_ATTR` Class attribute text.
`static java.lang.String` `CONSTRUCTOR_TAG` Constructor tag text.
`static java.lang.String` `ELEMENT_ATTR` Element attribute text.
`static java.lang.String` `ELEMENT_PROPERTY_TAG` Element property tag text.
`static java.lang.String` `IGNORE_ATTR` Ignore attribute text.
`static java.lang.String` `IGNORED_PROPERTY_TAG` Ignored property tag text.
`static java.lang.String` `INCLUDE_TAG` Include tag text.
`static java.lang.String` `LOOKUP_ATTR` Lookup attribute text.
`static java.lang.String` `LOOKUP_PROPERTY_TAG` Lookup property tag text.
`static java.lang.String` `MANUAL_TAG` Manual tag text.
`static java.lang.String` `MAPPING_TAG` Mapping tag text.
`static java.lang.String` `NAME_ATTR` Name attribute tag text.
`static java.lang.String` `OBJECT_TAG` Object tag text.
`static java.lang.String` `OBJECTS_TAG` Objects tag text.
`static java.lang.String` `PARAMETER_TAG` Parameter tag text.
`static java.lang.String` `PROPERTY_ATTR` Property attribute text.
`static java.lang.String` `READ_HANDLER_ATTR` Read handler attribute text.
`static java.lang.String` `REGISTER_NAMES_ATTR` Register name attribute text.
`static java.lang.String` `SOURCE_ATTR` Source attribute text.
`static java.lang.String` `TYPE_ATTR` Type attribute text.
`static java.lang.String` `TYPE_TAG` Type tag text.
`static java.lang.String` `WRITE_HANDLER_ATTR` Write handler attribute text.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OBJECTS_TAG

    public static final java.lang.String OBJECTS_TAG

Objects tag text.

See Also:
  Constant Field Values

#### INCLUDE_TAG

    public static final java.lang.String INCLUDE_TAG

Include tag text.

See Also:
  Constant Field Values

#### SOURCE_ATTR

    public static final java.lang.String SOURCE_ATTR

Source attribute text.

See Also:
  Constant Field Values

#### OBJECT_TAG

    public static final java.lang.String OBJECT_TAG

Object tag text.

See Also:
  Constant Field Values

#### IGNORE_ATTR

    public static final java.lang.String IGNORE_ATTR

Ignore attribute text.

See Also:
  Constant Field Values

#### CLASS_ATTR

    public static final java.lang.String CLASS_ATTR

Class attribute text.

See Also:
  Constant Field Values

#### REGISTER_NAMES_ATTR

    public static final java.lang.String REGISTER_NAMES_ATTR

Register name attribute text.

See Also:
  Constant Field Values

#### ELEMENT_PROPERTY_TAG

    public static final java.lang.String ELEMENT_PROPERTY_TAG

Element property tag text.

See Also:
  Constant Field Values

#### ATTRIBUTE_PROPERTY_TAG

    public static final java.lang.String ATTRIBUTE_PROPERTY_TAG

Attribute property tag text.

See Also:
  Constant Field Values

#### LOOKUP_PROPERTY_TAG

    public static final java.lang.String LOOKUP_PROPERTY_TAG

Lookup property tag text.

See Also:
  Constant Field Values

#### NAME_ATTR

    public static final java.lang.String NAME_ATTR

Name attribute tag text.

See Also:
  Constant Field Values

#### ELEMENT_ATTR

    public static final java.lang.String ELEMENT_ATTR

Element attribute text.

See Also:
  Constant Field Values

#### ATTRIBUTE_ATTR

    public static final java.lang.String ATTRIBUTE_ATTR

Attribute text.

See Also:
  Constant Field Values

#### LOOKUP_ATTR

    public static final java.lang.String LOOKUP_ATTR

Lookup attribute text.

See Also:
  Constant Field Values

#### CONSTRUCTOR_TAG

    public static final java.lang.String CONSTRUCTOR_TAG

Constructor tag text.

See Also:
  Constant Field Values

#### PARAMETER_TAG

    public static final java.lang.String PARAMETER_TAG

Parameter tag text.

See Also:
  Constant Field Values

#### PROPERTY_ATTR

    public static final java.lang.String PROPERTY_ATTR

Property attribute text.

See Also:
  Constant Field Values

#### ATTRIBUTE_HANDLER_ATTR

    public static final java.lang.String ATTRIBUTE_HANDLER_ATTR

Attribute handler text.

See Also:
  Constant Field Values

#### IGNORED_PROPERTY_TAG

    public static final java.lang.String IGNORED_PROPERTY_TAG

Ignored property tag text.

See Also:
  Constant Field Values

#### MANUAL_TAG

    public static final java.lang.String MANUAL_TAG

Manual tag text.

See Also:
  Constant Field Values

#### READ_HANDLER_ATTR

    public static final java.lang.String READ_HANDLER_ATTR

Read handler attribute text.

See Also:
  Constant Field Values

#### WRITE_HANDLER_ATTR

    public static final java.lang.String WRITE_HANDLER_ATTR

Write handler attribute text.

See Also:
  Constant Field Values

#### MAPPING_TAG

    public static final java.lang.String MAPPING_TAG

Mapping tag text.

See Also:
  Constant Field Values

#### TYPE_ATTR

    public static final java.lang.String TYPE_ATTR

Type attribute text.

See Also:
  Constant Field Values

#### BASE_CLASS_ATTR

    public static final java.lang.String BASE_CLASS_ATTR

Base class attribute text.

See Also:
  Constant Field Values

#### TYPE_TAG

    public static final java.lang.String TYPE_TAG

Type tag text.

See Also:
  Constant Field Values